> For the complete documentation index, see [llms.txt](https://docs.v2.like.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.v2.like.co/developer/likenft/nft-portal/nft-portal-reference.md).

# NFT Portal Reference

{% hint style="warning" %}
The documentation is designed for Liker Land and LikeCoin v2. For information on [3ook.com](https://3ook.com/) and LikeCoin v3, please visit [docs.3ook.com](https://docs.3ook.com) and [dao.like.co](https://dao.like.co/).
{% endhint %}

## URL Portal

Allows inputting https URL or ISCN ID to prepare minting of Writing NFT

![](/files/3iPxMOmDe0ygMdEgx5kH)

### Base URL <a href="#base-url" id="base-url"></a>

Testnet: [`https://app.testnet.like.co/nft/url`](https://app.like.co/nft/url)

Production: [`https://app.like.co/nft/url`](https://app.like.co/nft/url)

### &#x20;Input Params <a href="#input-params" id="input-params"></a>

| Query String | Description                                                                                             |
| ------------ | ------------------------------------------------------------------------------------------------------- |
| url          | (optional) Prefill target URL                                                                           |
| iscn\_id     | (optional) Prefill target ISCN ID                                                                       |
| liker\_id    | (optional) Enforce Liker ID checking on user, an error would be prompted if target Liker ID is not used |

Other query strings are passed below to the ISCN page.

## ISCN Page

Mints an ISCN into Writing NFT

![](/files/wArZvMJhz2byL3jfJmAg)

### Base URL <a href="#base-url" id="base-url"></a>

Testnet: [`https://app.testnet.like.co/nft/iscn/${uri_encoded_iscn_id}/`](https://app.like.co/nft/url)

Production: [`https://app.like.co/nft/iscn/${uri_encoded_iscn_id}/`](https://app.like.co/nft/url)

### Input Params <a href="#input-params" id="input-params"></a>

|               |                                                                                                                                                    |
| ------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| nft\_prefix   | (optional) Override NFT name prefix, default is `Writing NFT`                                                                                      |
| class\_id     | (optional) Existing NFT Class ID to resume minting process from                                                                                    |
| redirect\_uri | (optional) Act as a whitelist host for postMessage, actual redirect is not implemented, please use with `opener` below                             |
| opener        | (optional) default false. If set, would fire a `postMessage` back to `window.opener` with `redirect_uri` host as target, then close current window |

### PostMessage Event Format

```javascript
window.opener.postMessage(JSON.stringify({
  action: 'NFT_MINT_DATA',
  data: {
    iscnId,
    classId,
    nftCount,
    sellerWallet,
  },
}), this.redirectOrigin)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.v2.like.co/developer/likenft/nft-portal/nft-portal-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
